[arch-commits] Commit in pylint/repos/extra-any (PKGBUILD PKGBUILD)

Felix Yan fyan at archlinux.org
Mon Nov 10 16:49:44 UTC 2014


    Date: Monday, November 10, 2014 @ 17:49:44
  Author: fyan
Revision: 225880

archrelease: copy trunk to extra-any

Added:
  pylint/repos/extra-any/PKGBUILD
    (from rev 225879, pylint/trunk/PKGBUILD)
Deleted:
  pylint/repos/extra-any/PKGBUILD

----------+
 PKGBUILD |  142 ++++++++++++++++++++++++++++++-------------------------------
 1 file changed, 71 insertions(+), 71 deletions(-)

Deleted: PKGBUILD
===================================================================
--- PKGBUILD	2014-11-10 16:49:29 UTC (rev 225879)
+++ PKGBUILD	2014-11-10 16:49:44 UTC (rev 225880)
@@ -1,71 +0,0 @@
-# $Id$
-# Maintainer: Angel Velasquez <angvp at archlinux.org>
-# Maintainer: Felix Yan <felixonmars at gmail.com>
-# Contributor: Stéphane Gaudreault <stephane at archlinux.org>
-# Contributor: Alexander Fehr <pizzapunk gmail com>
-
-pkgbase=pylint
-pkgname=('python2-pylint' 'python-pylint')
-pkgver=1.3.1
-pkgrel=1
-pkgdesc="Analyzes Python code looking for bugs and signs of poor quality"
-arch=('any')
-url="http://pylint.org"
-license=('GPL')
-makedepends=('python2-astroid' 'python-astroid' 'python2-setuptools' 'python-setuptools')
-optdepends=('tk: Pylint GUI')
-source=("http://pypi.python.org/packages/source/p/${pkgbase}/${pkgbase}-${pkgver}.zip")
-sha1sums=('08ec434b33cc297b3bc3bd129908ab167f21c52e')
-
-prepare() {
-  cp -a ${pkgbase}-${pkgver}{,-py3}
-
-  cd ${pkgbase}-${pkgver}
-  sed -i "s|/usr/bin/env python|/usr/bin/env python2|" epylint.py __main__.py test/input/noext
-
-  cd ../${pkgbase}-${pkgver}-py3
-  sed -i "s|/usr/bin/env python|/usr/bin/env python3|" epylint.py __main__.py test/input/noext
-}
-
-build() {
-  cd ${pkgbase}-${pkgver}
-  python2 setup.py build
-
-  cd ../${pkgbase}-${pkgver}-py3
-  python3 setup.py build
-}
-
-check() {
-  cd ${pkgbase}-${pkgver}
-  PYTHONPATH="$PWD/build/lib:$PYTHONPATH" python2 -Wi -m unittest discover -s test/ -p *test_*.py || warning "Tests failed"
-
-  cd ../${pkgbase}-${pkgver}-py3
-  PYTHONPATH="$PWD/build/lib:$PYTHONPATH" python -Wi -m unittest discover -s test/ -p *test_*.py || warning "Tests failed"
-}
-
-package_python2-pylint() {
-  depends=('python2-astroid' 'python2-setuptools')
-
-  cd ${pkgbase}-${pkgver}
-
-  python2 setup.py install --prefix=/usr --root="${pkgdir}" --skip-build --optimize=1
-
-  install -d "${pkgdir}"/usr/share/man/man1
-  install -m644 man/* "${pkgdir}/usr/share/man/man1"
-
-  for i in epylint pylint pylint-gui pyreverse symilar; do
-     mv "${pkgdir}"/usr/bin/${i}{,2}
-     mv "${pkgdir}"/usr/share/man/man1/${i}{,2}.1
-  done
-}
-
-package_python-pylint() {
-  depends=('python-astroid' 'python-setuptools')
-
-  cd ${pkgbase}-${pkgver}-py3
-
-  python3 setup.py install --prefix=/usr --root="${pkgdir}" --skip-build --optimize=1
-
-  install -d "${pkgdir}/usr/share/man/man1"
-  install -m644 man/* "${pkgdir}/usr/share/man/man1"
-}

Copied: pylint/repos/extra-any/PKGBUILD (from rev 225879, pylint/trunk/PKGBUILD)
===================================================================
--- PKGBUILD	                        (rev 0)
+++ PKGBUILD	2014-11-10 16:49:44 UTC (rev 225880)
@@ -0,0 +1,71 @@
+# $Id$
+# Maintainer: Angel Velasquez <angvp at archlinux.org>
+# Maintainer: Felix Yan <felixonmars at archlinux.org>
+# Contributor: Stéphane Gaudreault <stephane at archlinux.org>
+# Contributor: Alexander Fehr <pizzapunk gmail com>
+
+pkgbase=pylint
+pkgname=('python2-pylint' 'python-pylint')
+pkgver=1.3.1
+pkgrel=2
+pkgdesc="Analyzes Python code looking for bugs and signs of poor quality"
+arch=('any')
+url="http://pylint.org"
+license=('GPL')
+makedepends=('python2-astroid' 'python-astroid' 'python2-setuptools' 'python-setuptools' 'python2-six' 'python-six')
+optdepends=('tk: Pylint GUI')
+source=("http://pypi.python.org/packages/source/p/${pkgbase}/${pkgbase}-${pkgver}.zip")
+sha1sums=('08ec434b33cc297b3bc3bd129908ab167f21c52e')
+
+prepare() {
+  cp -a ${pkgbase}-${pkgver}{,-py3}
+
+  cd ${pkgbase}-${pkgver}
+  sed -i "s|/usr/bin/env python|/usr/bin/env python2|" epylint.py __main__.py test/input/noext
+
+  cd ../${pkgbase}-${pkgver}-py3
+  sed -i "s|/usr/bin/env python|/usr/bin/env python3|" epylint.py __main__.py test/input/noext
+}
+
+build() {
+  cd ${pkgbase}-${pkgver}
+  python2 setup.py build
+
+  cd ../${pkgbase}-${pkgver}-py3
+  python3 setup.py build
+}
+
+check() {
+  cd ${pkgbase}-${pkgver}
+  PYTHONPATH="$PWD/build/lib:$PYTHONPATH" python2 -Wi -m unittest discover -s test/ -p *test_*.py || warning "Tests failed"
+
+  cd ../${pkgbase}-${pkgver}-py3
+  PYTHONPATH="$PWD/build/lib:$PYTHONPATH" python -Wi -m unittest discover -s test/ -p *test_*.py || warning "Tests failed"
+}
+
+package_python2-pylint() {
+  depends=('python2-astroid' 'python2-setuptools' 'python2-six')
+
+  cd ${pkgbase}-${pkgver}
+
+  python2 setup.py install --prefix=/usr --root="${pkgdir}" --skip-build --optimize=1
+
+  install -d "${pkgdir}"/usr/share/man/man1
+  install -m644 man/* "${pkgdir}/usr/share/man/man1"
+
+  for i in epylint pylint pylint-gui pyreverse symilar; do
+     mv "${pkgdir}"/usr/bin/${i}{,2}
+     mv "${pkgdir}"/usr/share/man/man1/${i}{,2}.1
+  done
+}
+
+package_python-pylint() {
+  depends=('python-astroid' 'python-setuptools' 'python-six')
+
+  cd ${pkgbase}-${pkgver}-py3
+
+  python3 setup.py install --prefix=/usr --root="${pkgdir}" --skip-build --optimize=1
+
+  install -d "${pkgdir}/usr/share/man/man1"
+  install -m644 man/* "${pkgdir}/usr/share/man/man1"
+}


More information about the arch-commits mailing list